clear all; close all; clc

% load('vysledok_segmentacie_gi_p_s_1_2.mat')
% load('vysledok_segmentacie_gi_p_s_1_3.mat')
% load('vysledok_segmentacie_gi_p_s_1_3_2.mat')
% load('vysledok_segmentacie_gi_p_s_1_4.mat')
% load('vysledok_segmentacie_gi_p_s_1_6.mat')
% load('vysledok_segmentacie_gi_p_s_1_6_2.mat')
% load('vysledok_segmentacie_gi_p_s_1_6_2_p_class.mat')
% load('vysledok_segmentacie_gi_p_s_1_7_2.mat')
% load('vysledok_segmentacie_gi_p_s_1_7_2_p_class.mat')
% load('vysledok_segmentacie_gi_p_s_2_1.mat')
% load('vysledok_segmentacie_gi_p_s_3_1_1.mat')
% load('vysledok_segmentacie_gi_p_s_3_1_2.mat')
% load('vysledok_segmentacie_gi_p_s_4_1.mat')
% load('vysledok_segmentacie_gi_p_s_5_1.mat')
% load('vysledok_segmentacie_gi_p_s_5_1_2.mat')
% load('vysledok_segmentacie_gi_p_s_6_1.mat')
% load('vysledok_segmentacie_gi_p_s_7_1.mat')
% load('vysledok_segmentacie_gi_p_s_7_1_2.mat')
% load('vysledok_segmentacie_gi_p_s_7_1_2_p_class1.mat')
% load('vysledok_segmentacie_gi_p_s_7_1_2_p_class2.mat')
load('vysledok_segmentacie_gi_p_s_7_1_2_p_class3.mat')

a = a - min(min(min(a)));  
a = a/max(max(max(a)));  
% imshow(a,[])

original = a;
originalR = original;
originalG = original;
originalB = original;
originalR(BW1) = 0;
originalG(BW1) = 255;
originalB(BW1) = 0;

original(:,:,1)= originalR;
original(:,:,2)= originalG;
original(:,:,3)= originalB;
BW1 = original;


original = a;
originalR = original;
originalG = original;
originalB = original;
originalR(BW2) = 0;
originalG(BW2) = 255;
originalB(BW2) = 0;

original(:,:,1)= originalR;
original(:,:,2)= originalG;
original(:,:,3)= originalB;
BW2 = original;

f_s = f_s(round(r_lbp/2):end-round(r_lbp/2), round(r_lbp/2):end-round(r_lbp/2));

BW3 = edge(f_s,'canny',0.000001);
% imshow(BW3);
aa = a(round(r_lbp/2):end-round(r_lbp/2), round(r_lbp/2):end-round(r_lbp/2));

original = aa;
originalR = original;
originalG = original;
originalB = original;
originalR(BW3) = 0;
originalG(BW3) = 255;
originalB(BW3) = 0;

original(:,:,1)= originalR;
original(:,:,2)= originalG;
original(:,:,3)= originalB;
BW3 = original;


figure
% subplot(2,2,1)
imshow(BW1,[]);
figure
% subplot(2,2,2)
imshow(BW2,[]);
figure
% subplot(2,2,3)
imshow(f_s,[]);
figure
% subplot(2,2,4)
imshow(BW3,[]);


% load('obr_na_segmentaciu_oct_gi_p_s_1_4')
% imshow(obraz,[]);
